[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EThreadDestroyCalled

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when a thread is destroyed illegally.

## Declaration

Source position: classesh.inc line 1685

`type EThreadDestroyCalled = class(EThread)`

## Inheritance

`EThreadDestroyCalled` |  | Exception raised when a thread is destroyed illegally.
`EThread` |  | Thread error exception.
`Exception` |  | Base class of all exceptions.
`TObject`